package cn.iocoder.yudao.module.system.service.deviceinfo;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.system.controller.admin.deviceinfo.vo.DeviceInfoPageReqVO;
import cn.iocoder.yudao.module.system.controller.admin.deviceinfo.vo.DeviceInfoSaveReqVO;
import cn.iocoder.yudao.module.system.dal.dataobject.deviceInfo.DeviceInfoDO;

import javax.validation.Valid;

/**
 * 设备信息关联门店 Service 接口
 *
 * @author 开发账号
 */
public interface DeviceInfoService {

    /**
     * 创建设备信息关联门店
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createDeviceInfo(@Valid DeviceInfoSaveReqVO createReqVO);

    /**
     * 更新设备信息关联门店
     *
     * @param updateReqVO 更新信息
     */
    void updateDeviceInfo(@Valid DeviceInfoSaveReqVO updateReqVO);

    /**
     * 删除设备信息关联门店
     *
     * @param id 编号
     */
    void deleteDeviceInfo(Long id);

    /**
     * 获得设备信息关联门店
     *
     * @param id 编号
     * @return 设备信息关联门店
     */
    DeviceInfoDO getDeviceInfo(Long id);

    /**
     * 获得设备信息关联门店分页
     *
     * @param pageReqVO 分页查询
     * @return 设备信息关联门店分页
     */
    PageResult<DeviceInfoDO> getDeviceInfoPage(DeviceInfoPageReqVO pageReqVO);

    void alive();

    int updateAlive();

    Long getCarteen(String mac);


}